summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGuilherme Amadio <amadio@gentoo.org>2015-08-20 09:58:24 +0200
committerGuilherme Amadio <amadio@gentoo.org>2015-08-20 09:58:24 +0200
commit766e0bda6a56bf346b4b94fe91e4895705ae3aed (patch)
tree756e7e6875544a9ef7ebdb45a25e2df604ae2ef1 /dev-util/rpmdevtools
parentmedia-fonts/monoid: version bump (diff)
downloadgentoo-766e0bda6a56bf346b4b94fe91e4895705ae3aed.tar.gz
gentoo-766e0bda6a56bf346b4b94fe91e4895705ae3aed.tar.bz2
gentoo-766e0bda6a56bf346b4b94fe91e4895705ae3aed.zip
dev-util/rpmdevtools: version bump, fix bug 536972
Bug: 536972 Package-Manager: portage-2.2.20.1
Diffstat (limited to 'dev-util/rpmdevtools')
-rw-r--r--dev-util/rpmdevtools/Manifest1
-rw-r--r--dev-util/rpmdevtools/rpmdevtools-8.5.ebuild35
2 files changed, 36 insertions, 0 deletions
diff --git a/dev-util/rpmdevtools/Manifest b/dev-util/rpmdevtools/Manifest
index ebab92c5890..966d034411a 100644
--- a/dev-util/rpmdevtools/Manifest
+++ b/dev-util/rpmdevtools/Manifest
@@ -1 +1,2 @@
DIST rpmdevtools-8.3.tar.xz 102040 SHA256 5f03dc5414e485ba8eb6c13480826fe80cc55d04df064a2117e63b4667fc42cf SHA512 9d3d79d30abf5f579a11068aa2788967dfdcaf87bcd6ec127baede1cbfd38295671ae24700cf4a5c5433ae8bf0c7b3ba2466078aa491067d35db7c56a6efd0f5 WHIRLPOOL f4a4345a646072162b9ac2dd2f05997483e10b0ff3c6ea40fa4ac260a9ae99745d03c1245cd8b7e49bf015a4df841b276d7cc0772c200b5e4e73c299edb257bc
+DIST rpmdevtools-8.5.tar.xz 89360 SHA256 e6391c9feb19c68468d590936a8178fdfb23b190f9f038586e8be5062d26f054 SHA512 410c2c284ad5283c2f368f0c644f4f4ce950e5be697c93912bf5f6e82ec342515780b1723a09e80e645737923727fbca75ba93c5cb17527c376603457f17795d WHIRLPOOL 8ce189c3fd3e13e1baa84a1a0d349d5447674aacd5d440af33d116df24a60b09dec25c13a8fd5c7364a05dcd4d996abfad77f7de38c111e1445c9d2665ac17de
diff --git a/dev-util/rpmdevtools/rpmdevtools-8.5.ebuild b/dev-util/rpmdevtools/rpmdevtools-8.5.ebuild
new file mode 100644
index 00000000000..c570e9e7f48
--- /dev/null
+++ b/dev-util/rpmdevtools/rpmdevtools-8.5.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+DESCRIPTION="Collection of rpm packaging related utilities"
+HOMEPAGE="https://fedorahosted.org/rpmdevtools/"
+SRC_URI="https://fedorahosted.org/releases/r/p/${PN}/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="emacs"
+
+CDEPEND="
+ app-arch/rpm[python]
+ net-misc/curl
+ emacs? ( app-emacs/rpm-spec-mode )
+ dev-util/checkbashisms
+"
+
+DEPEND="
+ ${CDEPEND}
+ dev-lang/perl
+ =dev-lang/python-2*
+ sys-apps/help2man
+"
+
+RDEPEND="${CDEPEND}"
+
+src_prepare() {
+ default
+ sed -i 's:#!/usr/bin/python:#!/usr/bin/python2:' rpmdev-rmdevelrpms.py || die
+}